function [] = plot_comps(data_time_table, output, datesIncludedInd)

close all

VarNames = data_time_table.Properties.VariableNames;
if ( datesIncludedInd == 1 )
    dates = data_time_table.Properties.RowTimes;
else
    dates = 1:size(data_time_table, 1);
end    
data = table2array(data_time_table);

n1 = ceil(sqrt(4 / 3 * length(VarNames)));
m1 = ceil(length(VarNames) / n1) + 1;

[x1, x2] = max(output.logpost);

%numbofcomps = min(find(sort(cumsum(output.prob(x2, :))) > 0.95));
numbofcomps = output.numbofcomps;

prob = zeros(size(data, 1), numbofcomps);

for i = 1:numbofcomps
    diff2 = (data - ones(size(data, 1), 1) * output.mu(:, x2, i)') ./ (ones(size(data, 1), 1) * output.S(:, x2, i)');
    prob(:, i) = logmvnpdf(diff2, zeros(size(data, 1), size(data, 2)), output.P(:, :, x2, i)) - sum(log(output.S(:, x2, i)));
end

maxstar = zeros(1, size(data, 1));
for i = 1:size(data, 1)
    prob(i, :) = output.prob(x2, 1:numbofcomps) .* exp(prob(i, :) - max(prob(i, :)));
    prob(i, :) = prob(i, :) / sum(prob(i, :));
    [x1, maxstar(i)] = max(prob(i, :));
end

count1 = zeros(1, numbofcomps);
for i = 1:numbofcomps
    count1(i) = sum(maxstar==i);
end

[x3, x4] = sort(count1, 'descend');

x4 = x4(1:sum(count1>0));

invx4 = zeros(1, length(x4));
for i = 1:length(x4)
    invx4(x4(i)) = i;
end




for comp = 1:length(x4)
    name1 = ['Component ' num2str(comp)];
    figure('name',name1,'NumberTitle','off')
    f = gcf;
    f.Position = [750 300 560 420];
    
    for i = 1:size(data, 2)
        subplot(m1, n1, i)
        plot(dates, data(:, i),'k-')
        hold on
        ax = ylim;
        for j = 1:size(data, 1)
            if ( datesIncludedInd == 1 )
                x1 = [dates(j)-15*days dates(j)+15*days dates(j)+15*days dates(j)-15*days];
            else
                x1 = [j-0.5 j+0.5 j+0.5 j-0.5];
            end
            y1 = [ax(1) ax(1) ax(2) ax(2)];
            cstar = invx4(maxstar(j))/(length(x4)+1);
            if ( maxstar(j) == x4(comp) )
                h=fill(x1, y1, 'c');
                set(h,'EdgeColor','None');
                hold on
            end
        end
        plot(dates, data(:, i),'b-')
        set(gca, 'FontSize', 7)
        hold off

        title(VarNames{1, i})
    end
    %
    for i = 1:n1
        subplot(m1, n1, (m1-1)*n1+i)
        plot(dates, prob(:, x4(comp)), 'b-')
        set(gca, 'FontSize', 7)
    end
end





